package com.ecep.contract.ds.customer.repository;

import org.springframework.stereotype.Repository;

import com.ecep.contract.CustomerFileType;
import com.ecep.contract.ds.other.repository.BaseEnumEntityRepository;
import com.ecep.contract.model.CustomerFileTypeLocal;

@Repository
public interface CustomerFileTypeLocalRepository extends BaseEnumEntityRepository<CustomerFileType, CustomerFileTypeLocal, Integer> {
    @Override
    default CustomerFileType[] getEnumConstants() {
        return CustomerFileType.values();
    }

    @Override
    default CustomerFileTypeLocal newEntity() {
        return new CustomerFileTypeLocal();
    }
}